%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: knetmon 
Summary: A front-end to many network-related command line tools for KDE.
Version: 0.99.4
Release: 1
Serial: 1
Source: http://www.tu-ilmenau.de/~lekus/software/%{name}-%{version}.tar.gz
License: GPL
URL: http://www.tu-ilmenau.de/~lekus/software.htm
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}
BuildPrereq: kdelibs-devel, qt1x-devel
Requires: kdesupport
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64

%description 
KNetmon is a K Desktop Environment (KDE) front-end for network-related
command line tools, including smbclient, smbmount/smbumount, ping,
talk, telnet, rlogin, finger and nslookup.  Similar to the Windows(TM)
Netmon program, KNetmon displays currently active hosts on the network
and supports Samba and NFS.  You'll need to have X and KDE installed
in order to use KNetmon.

%prep
%setup -q

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (now kde1 ist installed as default)
- rebuilt against the kdelibs-1.1.2

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Thu Jan 13 2000 ngo Than <than@redhat.de>
- updated to 0.99.2

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- update for 6.1

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
